;****************************************************************;
;					<<< MUTTER.LSP >>>					;
;****************************************************************;
;
;Autor: K.Habenicht
;Datum der Erstellung: 26.4.1993
;Funktion: Variantenkonstruktion einer Mutter mit AME 2.0

;*************************** Programm ***************************;

;Fehlerroutine
(defun *error* (msg)
(setvar "CMDECHO" cmd)
(setvar "BLIPMODE" blip)
(princ)
)
 
(defun programm (/ PE d h loch poly k1 k2 )
	;Eingabeteil
	(setq PE (getpoint "\Basispunkt der Einfgung: "))
	(setq d (getreal "\Schlsselweite der Mutter: "))
	(setq h (getreal "\Hhe der Mutter: "))
	(setq loch (getreal "\Lochdurchmesser: "))
	;Dichte der Tesselationslinien setzen
	(solvar "SOLWDENS" 6)
	;Sechseck zeichnen
	(command "POLYGON" 6 PE "I" (/ d 2.0))
	;Auswahlsatz fr SOLEXT erzeugen
	(setq poly (ssget "L"))
	;Extrusion der Polylinie
	(setq k1 (SOLEXT poly h 0))
	;Zylinder erzeugen
	(setq k2 (SOLZYL PE "d" loch h))
	;Extrusionskrper minus Zylinder ergibt die Mutter
	(SOLDIFF k1 k2)
)


(defun C:MUTTER( / aus)
   (setq aus 0)
   (setq cmd (getvar "CMDECHO"))
   (setq blip (getvar "BLIPMODE"))
   (setvar "CMDECHO" 0)
   (setvar "BLIPMODE" 0)
   ;berprfung, ob AME 2.0 geladen ist
   (if (not SOLEXT)
   (progn
  	 (princ "\n Diese Funktion luft nur, wenn AME 2.0 geladen ist.")
   	 (setq aus 1))
   )
   ;Aufruf des eigentlichen Programms
   (if (/= aus 1) (programm))
   (setvar "CMDECHO" cmd)
   (setvar "BLIPMODE" blip)
   (princ)
)

